<?php
/*Finojaho Wordpress Theme*/

// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.','finojaho'); ?></p>
	<?php
		return;
	}
?>

<!-- You can start editing here. -->


<?php if ($comments || comments_open()) { ?>
<?php
  /* Count the totals */
  $numPingBacks = 0;
  $numComments  = 0;

  /* Loop throught comments to count these totals */
  foreach ($comments as $comment)
    if (get_comment_type() != "comment") $numPingBacks++; else $numComments++; }
else {
  $numPingBacks = 0;
  $numComments  = 0;	
}
?>


<div class="tabbed"> <!-- tabbed-->
	<ul class="tabs">
	  <li class="t1"><a class="t1 tab" title="<?php _e('Comments','finojaho'); ?>"><?php _e('Comments','finojaho'); echo ' ('.$numComments.')'; ?></a></li>
	  <li class="t2"><a class="t2 tab" title="<?php _e('Trackbacks','finojaho'); ?>"><?php _e('Trackbacks','finojaho'); echo ' ('.$numPingBacks.')'; ?></a></li>
	  <li class="t3"><a class="t3 tab" title="<?php _e('Posts with similar tags','finojaho'); ?>"><?php _e('Related Tags','finojaho');?></a></li>
	  <li class="t4"><a class="t4 tab" title="<?php _e('Posts in similar categories','finojaho'); ?>"><?php _e('Related Categories','finojaho');?></a></li>
	</ul>
	
	
<div class="postmeta">
		<p class="minimeta">
			<?php 
			printf(__('You can follow responses to this entry through the %s feed.','finojaho'), '<a href="'.get_post_comments_feed_link($post->ID).'" title="RSS 2.0">RSS 2.0</a>');

			if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
			// Both Comments and Pings are open 
			printf(__('You can <a href="#respond">leave a response here</a> or <a href="%s" rel="trackback">a trackback</a>.', 'finojaho'), get_trackback_url()); }
			
			elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
			// Only Pings are Open 
			printf(__('Comments are closed, but you can leave a <a href="%s" rel="trackback">trackback</a>.', 'finojaho'), get_trackback_url()); }


			elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
			// Comments are open, Pings are not 
			_e('You may leave a <a href="#respond">comment</a> but pings are closed.','finojaho'); }


			elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
			// Neither Comments, nor Pings are open 
			_e('Both comments and pings are currently closed.','finojaho');  } ?>

		</p>
</div>


<div class="postnavtop">
<div class="postnavgrad">
<div class="postnav">

	<?php 
	global $wpdb;
	$postid = $post->ID;
	if (is_page($postid)) $posttype = 'page';
	else $posttype = 'post';

	$id_my_pre = $wpdb->get_results($wpdb->prepare("SELECT * FROM wp_posts WHERE post_status = 'publish' AND post_password = '' AND post_type = %s AND ID < %d  ORDER BY ID DESC LIMIT 1", $posttype, $postid));

	if ($id_my_pre) { 
	foreach ($id_my_pre as $post):
	setup_postdata($post);
	?>
		<div class="prepost">
		<p class="minipre"><?php if ($posttype == 'post') {_e('&laquo; previous post','finojaho');} else {_e('&laquo; previous page','finojaho');} ?></p>
		<?php 
		$posttit = get_the_title();
		if (strlen($posttit) >= 37 ) { $posttit = substr($posttit, 0, 35).'...';} ?>
		<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Previous post:','finojaho'); echo ' '; echo get_the_title(); ?>"><?php echo $posttit ?></a> 
		
		<?php 
			$size = 'thumbnail';
			$imginpost = get_the_content();
			$imginpost = do_shortcode($imginpost);
			if (isset($matches)) unset($matches);
			if (isset($match)) unset($match);
			if (isset($regs)) unset($regs);
			preg_match('/<img(.*?)src=["'."']".'(.*?)["'."']".'(.*?)\/\>/i', $imginpost, $matches);
			if ($matches) preg_match_all('/(alt|title)=("[^"]*")/i',$matches[0],$match);
			if (isset($match[0][0])) {$match[0][0] =' '.$match[0][0];} else {$match[0][0] = '';}
			if (isset($match[0][1])) {$match[0][1] =' '.$match[0][1];} else {$match[0][1] = '';}
			if ($matches) {
				ereg('wp-image-([0-9]+)',$matches[0],$regs);  
				if ($regs) {
					if (is_numeric($regs[1])) {
						$image = wp_get_attachment_image_src($regs[1], $size, false);
						if ($image) {
							$image = '<img src="'.esc_attr($image[0]).'" class="thumbpre alignleft"'.$match[0][0].$match[0][1].' />';
						} // if ($image)
					} // if (is_numeric($regs[1]))
				} // if ($regs)
				else {
					$image = '<img src="'.esc_attr($matches[2]).'" class="thumbpre alignleft"'.$match[0][0].$match[0][1].' />';
				}
			} // if ($matches)
			else { $image = '';}
		
		$postprecontent = strip_shortcodes(get_the_content()); 
		$postprecontent = strip_tags($postprecontent);
		if (strlen($postprecontent) <= 300 ) { echo '<p>'.$image.$postprecontent.'</p>';}
		else  {$postprecontent = substr($postprecontent, 0, 300).'<small>...</small>'; echo '<p>'.$image.$postprecontent.'</p>';}?>
		</div>
		<?php endforeach;
	}	?>


	<?php 
	global $wpdb;
	$wpdb->flush(); 
	if (is_page($postid)) $posttype = 'page';
	else $posttype = 'post';

	$id_my_nex = $wpdb->get_results($wpdb->prepare("SELECT * FROM wp_posts WHERE post_status = 'publish' AND post_password = '' AND post_type = %s AND ID > %d  ORDER BY ID ASC LIMIT 1", $posttype, $postid));

	if ($id_my_nex) { 
	foreach ($id_my_nex as $post):	
	setup_postdata($post);
	?>
		<div class="nexpost">
		<p class="mininex"><?php if ($posttype == 'post') {_e('next post &raquo;','finojaho');} else {_e('next page &raquo;','finojaho');} ?></p>
		<?php 
		$posttit = get_the_title();
		if (strlen($posttit) >= 37 ) { $posttit = substr($posttit, 0, 35).'....';} ?>
		<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Next post:','finojaho'); echo ' '; echo get_the_title(); ?>"><?php echo $posttit ?></a> 
		
		<?php 
			$size = 'thumbnail';
			$imginpost = get_the_content();
			$imginpost = do_shortcode($imginpost);
			if (isset($matches)) unset($matches);
			if (isset($match)) unset($match);
			if (isset($regs)) unset($regs);
			preg_match('/<img(.*?)src=["'."']".'(.*?)["'."']".'(.*?)\/\>/i', $imginpost, $matches);
			if ($matches) preg_match_all('/(alt|title)=("[^"]*")/i',$matches[0],$match);
			if (isset($match[0][0])) {$match[0][0] =' '.$match[0][0];} else {$match[0][0] = '';}
			if (isset($match[0][1])) {$match[0][1] =' '.$match[0][1];} else {$match[0][1] = '';}
			if ($matches) {
				ereg('wp-image-([0-9]+)',$matches[0],$regs);  
				if ($regs) {
					if (is_numeric($regs[1])) {
						$image = wp_get_attachment_image_src($regs[1], $size, false);
						if ($image) {
							$image = '<img src="'.esc_attr($image[0]).'" class="thumbnex alignright"'.$match[0][0].$match[0][1].' />';
						} // if ($image)
					} // if (is_numeric($regs[1]))
				} // if ($regs)
				else {
					$image = '<img src="'.esc_attr($matches[2]).'" class="thumbnex alignright"'.$match[0][0].$match[0][1].' />';
				}
			} // if ($matches)
			else { $image = '';}
			
			
		$postnexcontent = strip_shortcodes(get_the_content()); 
		$postnexcontent = strip_tags($postnexcontent);
		if (strlen($postnexcontent) <= 300 ) { echo '<p>'.$image.$postnexcontent.'</p>';}
		else  {$postnexcontent = substr($postnexcontent, 0, 300).'<small>...</small>'; echo '<p>'.$image.$postnexcontent.'</p>';}?>
		</div>
		<?php endforeach;
	}	?>
	
<?php
//unset the $post to original values
$post = get_post($postid);
setup_postdata($post);
?>


<div class="clearit"></div>
</div>
</div>
</div>




	
	<div class="t1"> <!-- tab 1-->	
	
<?php if ( (have_comments()) && ($numComments>0) ) : ?>
	<?php if ($numComments > 0) { 
		if ($numComments > 1) {?> 
		<h3 id="comments"> <?php printf(__('%s Responses to %s','finojaho'), $numComments, sprintf(__('<small>&#8220;</small>'.get_the_title($postid).'<small>&#8221;</small>'))); ?></h3> <?php } 
		else {?> 
		<h3 id="comments"> <?php  printf(__('One Response to %s','finojaho'), sprintf(__('<small>&#8220;</small>'.get_the_title($postid).'<small>&#8221;</small>'))); ?></h3> <?php } 
		}?>
		
		
	<?php
		if (get_option('page_comments')) {
		$comment_pages = paginate_comments_links('echo=0');
		if ($comment_pages) { ?>
		<!-- navcomment -->
		<div class="navcomment">
		<?php echo $comment_pages; ?>
		</div>
		<!-- /navcomment -->
      <?php } } ?>	

	
	
		<ol id="comments">
			<?php wp_list_comments('type=comment&callback=list_comments'); ?>
		</ol>

	<?php
		if (get_option('page_comments')) {
		$comment_pages = paginate_comments_links('echo=0');
		if ($comment_pages) { ?>
		<!-- navcomment -->
		<div class="navcomment">
		<?php echo $comment_pages; ?>
		</div>
		<!-- /navcomment -->
      <?php } } ?>
	

	
 	<?php else : // this is displayed if there are no comments so far ?>
	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

		 <?php else : // comments are closed ?>
			<!-- If comments are closed. -->

	<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>
	<?php comment_form(); ?>
<?php endif; // if you delete this the sky will fall on your head ?>	




	</div> <!-- /tab 1--> 
	
	
	
	<div class="t2"> <!-- tab 2-->
	
		<?php if ($numPingBacks > 0) { 
			if ($numPingBacks > 1) { ?> 
			<h3 id="comments"> <?php printf(__('%s Trackbacks to %s','finojaho'), $numPingBacks, sprintf(__('<small>&#8220;</small>'.get_the_title($postid).'<small>&#8221;</small>'))); ?></h3> <?php }
			else {?> 
			<h3 id="comments"> <?php  printf(__('One Trackback to %s','finojaho'), sprintf(__('<small>&#8220;</small>'.get_the_title($postid).'<small>&#8221;</small>'))); ?></h3> <?php }
			?>
			
			<ol id="trackbacks">
				<?php wp_list_comments('type=pings&callback=list_pings'); ?>
			</ol>				
			
			<?php } 
			
			else { echo '<p class="aligncenter">'.__('No trackbacks yet.','finojaho').'</p>';} ?>			
	
	</div> <!-- /tab 2-->
	
	
	
	<div class="t3"> <!-- tab 3-->
	<h3 id="comments"><?php _e('Posts with similar tags','finojaho'); ?></h3>
	
  <?php
  
		// Related posts. Based on http://www.bin-co.com/blog/2009/04/show-related-post-in-wordpress-without-a-plugin/
		$tags = wp_get_post_tags($post->ID);
		if (get_finojaho_option('finojaho_reltag') == 0) {$numpost = '-1';}
		if (get_finojaho_option('finojaho_reltag') > 0) {$numpost = get_finojaho_option('finojaho_reltag');}
		if ($tags) {
		$tag_ids = array();
		foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
			
		if (get_finojaho_option('finojaho_reltag') > 0) {	
		$args=array(
		'tag__in' => $tag_ids,
		'post__not_in' => array($post->ID),
		'showposts'=> $numpost, // Number of related posts that will be shown.
		'caller_get_posts'=> 1,
		'post_status' => 'publish'
		);}
		
		if (get_finojaho_option('finojaho_reltag') == 0) {
		$args=array(
		'tag__in' => $tag_ids,
		'post__not_in' => array($post->ID),
		'posts_per_page' => $numpost, // Number of related posts that will be shown.
		'caller_get_posts'=> 1,
		'post_status' => 'publish'
		);}
		
		
		$rp_query = new wp_query($args); 
		if($rp_query) {
		if($rp_query->have_posts()) { 
		?>
		<ol id="relatedposts">
		 <?php
		  while ($rp_query->have_posts()) {
		  $rp_query->the_post(); 
		  
		  
		  	$size = 'thumbnail';
			$post = get_post($post->ID,OBJECT);
			setup_postdata($post);
			$shorttxt = strip_shortcodes(get_the_content());
			$shorttxt = strip_tags($shorttxt);
			$imginpost = do_shortcode(get_the_content());
			if (isset($matches)) unset($matches);
			if (isset($match)) unset($match);
			if (isset($regs)) unset($regs);
			preg_match('/<img(.*?)src=["'."']".'(.*?)["'."']".'(.*?)\/\>/i', $imginpost, $matches);
			if ($matches) preg_match_all('/(alt|title)=("[^"]*")/i',$matches[0],$match);
			if (isset($match[0][0])) {$match[0][0] =' '.$match[0][0];} else {$match[0][0] = '';}
			if (isset($match[0][1])) {$match[0][1] =' '.$match[0][1];} else {$match[0][1] = '';}
			if ($matches) {
				ereg('wp-image-([0-9]+)',$matches[0],$regs);  
				if ($regs) {
					if (is_numeric($regs[1])) {
						$image = wp_get_attachment_image_src($regs[1], $size, false);
						if ($image) {
							$image = '<img src="'.esc_attr($image[0]).'" class="thumbpost"'.$match[0][0].$match[0][1].' />';
						} // if ($image)
					} // if (is_numeric($regs[1]))
				} // if ($regs)
				else {
					$image = '<img src="'.esc_attr($matches[2]).'" class="thumbpost"'.$match[0][0].$match[0][1].' />';
				}
			} // if ($matches)
			else { $image = '';}
		  
			$word = explode(' ',strip_tags($shorttxt));
			if (count($word) > 55) {
				array_splice($word,55);
				$shorttxt = implode(' ',$word).'<small>...</small>';
			}
			else {
				$shorttxt = implode(' ',$word).'<small>...</small>';
			}
		  
		  ?>
		 <li class="tag"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to','finojaho'); echo ' '; the_title_attribute(); ?>"><?php the_title(); ?></a> <p><?php echo $image.$shorttxt ?></p></li>
		 <?php } ?>
		</ol>
		<?php } else {echo '<p class="aligncenter">'.__('No post with similar tags yet.','finojaho').'</p>';}
		}} else {echo '<p class="aligncenter">'.__('No post with similar tags yet.','finojaho').'</p>';} ?>		
	
		
	</div> <!-- /tab 3-->	
	
	
<?php
//unset the $post to original values
$post = get_post($postid);
setup_postdata($post);
?>	
	
	
	<div class="t4"> <!-- tab 4-->
	<h3 id="comments"><?php _e('Posts in similar categories','finojaho'); ?></h3>
		<?php 
		// Related posts. Based on http://www.bin-co.com/blog/2009/04/show-related-post-in-wordpress-without-a-plugin/

		$categories = get_the_category($post->ID);
		if (get_finojaho_option('finojaho_relcat') == 0) {$catpost = '-1';}
		if (get_finojaho_option('finojaho_relcat') > 0) {$catpost = get_finojaho_option('finojaho_relcat');}
		if ($categories) {
		$category_ids = array();
		foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;	
		
		if (get_finojaho_option('finojaho_relcat') > 0) {
		$args=array(
			'category__in' => $category_ids,
			'post__not_in' => array($postid),
			'showposts'=>$catpost, // Number of related posts that will be shown.
			'caller_get_posts'=>1,
			'post_status' => 'publish'
		);}
		
		if (get_finojaho_option('finojaho_reltag') == 0) {
		$args=array(
			'category__in' => $category_ids,
			'post__not_in' => array($postid),
			'posts_per_page' =>$catpost, // Number of related posts that will be shown.
			'caller_get_posts'=>1,
			'post_status' => 'publish'
		);}
		
		$rp_query = new wp_query($args); 
		if($rp_query) {
		if($rp_query->have_posts()) { 
		?>
		<ol id="relatedposts">
		 <?php
		  while ($rp_query->have_posts()) {
		  $rp_query->the_post(); 
		  
		  	$size = 'thumbnail';
			$post = get_post($post->ID,OBJECT);
			setup_postdata($post);
			$shorttxt = strip_shortcodes(get_the_content());
			$shorttxt = strip_tags($shorttxt);
			$imginpost = do_shortcode(get_the_content());
			if (isset($matches)) unset($matches);
			if (isset($match)) unset($match);
			if (isset($regs)) unset($regs);
			preg_match('/<img(.*?)src=["'."']".'(.*?)["'."']".'(.*?)\/\>/i', $imginpost, $matches);
			if ($matches) preg_match_all('/(alt|title)=("[^"]*")/i',$matches[0],$match);
			if (isset($match[0][0])) {$match[0][0] =' '.$match[0][0];} else {$match[0][0] = '';}
			if (isset($match[0][1])) {$match[0][1] =' '.$match[0][1];} else {$match[0][1] = '';}
			if ($matches) {
				ereg('wp-image-([0-9]+)',$matches[0],$regs);  
				if ($regs) {
					if (is_numeric($regs[1])) {
						$image = wp_get_attachment_image_src($regs[1], $size, false);
						if ($image) {
							$image = '<img src="'.esc_attr($image[0]).'" class="thumbpost"'.$match[0][0].$match[0][1].' />';
						} // if ($image)
					} // if (is_numeric($regs[1]))
				} // if ($regs)
				else {
					$image = '<img src="'.esc_attr($matches[2]).'" class="thumbpost"'.$match[0][0].$match[0][1].' />';
				}
			} // if ($matches)
			else { $image = '';}
		  
			$word = explode(' ',strip_tags($shorttxt));
			if (count($word) > 55) {
				array_splice($word,55);
				$shorttxt = implode(' ',$word).'<small>...</small>';
			}
			else {
				$shorttxt = implode(' ',$word).'<small>...</small>';
			}
		  
		  
		  ?>
		 <li class="cat"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to','finojaho'); echo ' '; the_title_attribute(); ?>"><?php the_title(); ?></a> <p><?php echo $image.$shorttxt ?></p></li>
		 <?php } ?>
		</ol>
		<?php } else {echo '<p class="aligncenter">'.__('No post with similar categories yet.','finojaho').'</p>';}
		}} else {echo '<p class="aligncenter">'.__('No post with similar categories yet.','finojaho').'</p>';} ?>		
		
	</div> <!-- /tab 4-->		
	
</div> <!-- /tabbed -->

<?php
//unset the $post to original values
$post = get_post($postid);
setup_postdata($post);
?>	
