<?php
/*Finojaho Wordpress Theme*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php 
if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
wp_enqueue_script( 'jquery' ); 
wp_enqueue_script('dropdwon', get_bloginfo('template_url') . '/dropdown.js', array('jquery'), '1.0' );
wp_enqueue_script('tabs', get_bloginfo('template_url') . '/tabs.js', array('jquery'), '1.0' );
wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="header"><!-- div header -->

	<div class="headertitle"><!-- div headertitle -->
		<p><?php bloginfo('description'); ?></p>
		<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
	</div><!-- /div headertitle -->
	
	<div class="menubar"><!-- div menubar -->
		<ul>
			<?php finojaho_nav_menu(); ?>
		</ul>
	</div><!-- div menubar -->
	
	<div class="feed"><!-- div feed -->
		<?php
		if (get_finojaho_option('finojaho_visiblerss') != 'no') { ?>
		<a href="<?php if (get_finojaho_option('finojaho_rssurl') == '') {bloginfo('rss2_url');} else {echo get_finojaho_option('finojaho_rssurl');} ?>"><img src="<?php bloginfo('template_url'); ?>/images/rss-feed.png" /></a> <?php } 
		if (get_finojaho_option('finojaho_visiblerrscom') != 'no') { ?>
		<a href="<?php bloginfo('comments_rss2_url'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/rss-comments.png" /></a>	<?php } ?>		
	</div><!-- /div feed -->
	
</div><!-- div header -->

