<?php
/*Finojaho Wordpress Theme*/

get_header();
?>

<div class="content">
	<div class="mainstuff">	
		<div class="left"> <!-- class="left"-->

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php if (function_exists("post_class")) post_class('post'); else print 'class="post"'; ?>>
		
		
		<!-- post title-->	
		<div class="wraphead">
		<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link To','finojaho'); echo ' '; the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
		</div>
		<!-- /post title-->			
		
		
			
        <!-- post meta -->
        <div class="meta">
		<p><?php printf(__('Posted by %s on %s with'), '<a href="'. get_author_posts_url(get_the_author_meta('ID')) .'" title="'. sprintf(__("Posts by %s","finojaho"), esc_attr(get_the_author())).'">'. get_the_author() .'</a>',get_the_time(get_option('date_format'))); echo ' <a href="'.get_comments_link().'">'; comments_number(__('No Comments','finojaho'), __('1 Comment','finojaho'), __('% Comments','finojaho')); echo '</a>'; edit_post_link(__('Edit','finojaho'), ' | ',''); ?></p><br />				
        </div>
        <!-- /post meta -->					

		
		
		<!-- actual post-->
		<div class="realstuff">
		<?php the_content(__('Read the rest of this entry &raquo;', 'finojaho')); ?>
		<div class="clearit"></div>
		<?php wp_link_pages(array('before' => '<div class="pagenumber"><p><strong>'.__('Pages:','finojaho').'</strong> ', 'after' => '</p></div>', 'next_or_number' => 'number')); ?>
			
			<div class="addthis">				
				<div class="addthisbutton">
<a class="addthis_button" addthis:url="<?php the_permalink() ?>" addthis:title="<?php the_title_attribute(); ?>" href="http://www.addthis.com/bookmark.php?v=250&amp;pub=xa-4aa081d852849bb4"></a><script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js?pub=xa-4aa081d852849bb4"></script>
				</div>				

				<?php the_tags('<p class="posttags">'.__('Tags:','finojaho').' ',', ','</p>'); ?>				
			</div>
			
		<div class="clearit"></div>	
		
 
		<?php
		if (get_finojaho_option('finojaho_showads') == 'yes') {
			echo '<!-- post navigationpostad-->';
			echo '<div class="navigationpostad">';
			echo '<div class="adpostleft">';
			display_ads_post_left();
			echo '</div>';
			echo '<div class="adpostright">';
			display_ads_post_right();
			echo '</div>';
			echo '</div>';
			echo '<!-- /post navigationpostad-->';
		} 
		else {
			echo '<!-- post navigationpost-->';
			echo '<div class="navigationpost">';
			echo '</div>';
			echo '<!-- /post navigationpost-->';
		} ?>	
		
		
		

			
		</div>
		<!-- /actual post-->

		<!-- comments-->
		<?php comments_template(); ?>
		<!-- /comments-->

		</div>

		<?php endwhile; ?>
	<?php else : ?>
	
		<!-- if not found-->
		<div class="post">
			<h2 class="center"><?php _e('Not Found','finojaho'); ?></h2>
			<div class="realstuff">
				<p><?php _e("Sorry, but you are looking for something that isn't here.","finojaho"); ?></p>
			</div>
		</div>	
		<!-- /if not found-->	
				
	<?php endif; ?>

		</div> <!-- /class="left"-->

<?php get_sidebar(); ?>

<?php get_footer(); ?>